package com.jpsoft.shinestar.modules.sys.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:sys_role的实体类
 */
public class Role {
	private String id;
	private String name;
	private String description;
	private Date createTime;
	private Date updateTime;
	private Boolean delFlag;
	private String createBy;
	private String updateBy;
	
		/**
	 *获取角色编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置角色编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取角色名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置角色名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取角色描述
	 */
	public String getDescription(){
		return description;
	}
	
	/**
	 *设置角色描述
	 */
	public void setDescription(String description){
		this.description = description;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取删除标示
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置删除标示
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
}